Delete a comment
POST https://{handle}.myshopline.com/admin/openapi/v20261201/store/comments/:comment_id/remove.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Path Parameters
- comment_id string requiredReview id that needs to be removedExample:
63804260a0a9ba4487960881
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
commentobject
Reviewscreate_at stringCreated time for reviews ISO 8601Example:2022-08-03T10:45:00+08:00author stringAuthor of the reviewExample:demo-authorpublished_at stringTime to post a review ISO 8601Example:2022-08-03T10:45:00+08:00blog_id stringComment on blog idExample:63a2afa527797d5cedcecb52body_html stringBody content with html markingsExample:<p>demo-content</p>email stringComment on the e-mail address of the authorExample:demo@qq.comip stringIp to post a reviewExample:172.28.173.136id stringComment idExample:63804260a0a9ba4487960881user_agent stringUser agentblog_collection_id stringComment on the blog collection id for articles belonging toExample:639bfda0ee877c4a9bd600b6status stringComment status , post value : unapproved ( default state , comment waiting to be approved , c end does not show this state comment ) ; published : ( posted state , and visible to users on the end of c ) ; spam : ( garbage review , c end )Removed : ( review is marked as deleted status , not visible for users on the end of the c )Example:unapprovedupdated_at stringUpdate time ISO 8601Example:2022-08-03T10:45:00+08:00body stringComment contentExample:demo-content
API Explorer
Debugger
Examples
Was this article helpful to you?